DurationSerializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.serializers

## Class DurationSerializer

- java.lang.Object
- - org.apache.cassandra.serializers.DurationSerializer

- All Implemented Interfaces:
    TypeSerializer<Duration>

      public final class DurationSerializer
      extends java.lang.Object
      implements TypeSerializer<Duration>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DurationSerializer` | `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DurationSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Duration` | `deserialize(java.nio.ByteBuffer bytes)`
    `java.lang.Class<Duration>` | `getType()`
    `java.nio.ByteBuffer` | `serialize(Duration duration)`
    `java.lang.String` | `toString(Duration duration)`
    `void` | `validate(java.nio.ByteBuffer bytes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.serializers.TypeSerializer

      `toCQLLiteral`

- - ### Field Detail

    - #### instance

          public static final DurationSerializer instance

  - ### Constructor Detail

    - #### DurationSerializer

          public DurationSerializer()

  - ### Method Detail

    - #### serialize

          public java.nio.ByteBuffer serialize(Duration duration)

      Specified by:
        `serialize` in interface `TypeSerializer<Duration>`

    - #### deserialize

          public Duration deserialize(java.nio.ByteBuffer bytes)

      Specified by:
        `deserialize` in interface `TypeSerializer<Duration>`

    - #### validate

          public void validate(java.nio.ByteBuffer bytes)
                        throws MarshalException

      Specified by:
        `validate` in interface `TypeSerializer<Duration>`
      Throws:
        `MarshalException`

    - #### toString

          public java.lang.String toString(Duration duration)

      Specified by:
        `toString` in interface `TypeSerializer<Duration>`

    - #### getType

          public java.lang.Class<Duration> getType()

      Specified by:
        `getType` in interface `TypeSerializer<Duration>`

Copyright © 2018 The Apache Software Foundation